# AiroFramework 🚀

AiroFramework is a structured framework designed for building **Telegram bots** with **Aiogram**, **FastAPI**, and **SQLAlchemy**. It provides a clean architecture with built-in support for **polling** and **webhooks**.

## ✨ Features
- 🛠 **Supports both Polling & Webhooks**
- ⚡ **FastAPI integration** for better performance
- 🗄 **SQLAlchemy support** for database management
- 📂 **Modular architecture** with routers and handlers
- 🔧 **Automatic state management** using FSM and database storage
- 📝 **Built-in middleware support**

---

## 🚀 Installation
You can install AiroFramework via pip:

```sh
pip install airoframework
